Packaging - Bug #4834

cron jobs replace /var/log/foreman/cron.log every time they runs
03/25/2014 11:17 AM - Jan Hutar

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Cron jobs replace /var/log/foreman/cron.log every time they runs - like here:
# cat /etc/cron.d/foreman

[...]

15 23 ¢ « & foreman /usr/sbin/foreman-rake db:sessions:clear >/var/log/foreman/cron.log 2>&
1

[...]

Imo there should be something like:

15 23 ¢ « & foreman /usr/sbin/foreman-rake db:sessions:clear >>/var/log/foreman/cron.log 2>
&1

but on all places.

# grep -r cron.log /etc/cron*

/etc/cron.d/foreman:15 23 * * * foreman /usr/sbin/foreman-rake db:sessions:clear >/var/log/
foreman/cron.log 2>&1

/etc/cron.d/foreman:0 7 * * * foreman /usr/sbin/foreman-rake reports:summarize >/var/log/
foreman/cron.log 2>&1

/etc/cron.d/foreman:30 7 * * * foreman /usr/sbin/foreman-rake reports:expire >/var/log/for
eman/cron.log 2>&1

/etc/cron.d/foreman:*/30 * * * * foreman /usr/sbin/foreman-rake trends:counter >/var/log/for
eman/cron.log 2>&1

/etc/cron.d/foreman:0 8 * * * foreman /usr/sbin/foreman-rake trends:clean >/var/log/forem
an/cron.log 2>&1

/etc/cron.d/foreman:#*/2 * * * * puppet /usr/bin/rubyl93-ruby /etc/puppet/node.rb —--push-fa
cts >/var/log/foreman/cron.log 2>&l

/etc/cron.d/foreman:#*/30 * * * x foreman /usr/sbin/foreman-rake puppet:migrate:populate_hos

ts >/var/log/foreman/cron.log 2>&1
| have these packages:

# rom —-ga | grep -e katello -e foreman | sort
foreman-1.5.0.10-1.el6sat.noarch
foreman-compute-1.5.0.10-1.el6sat.noarch
foreman-libvirt-1.5.0.10-1.el6sat.noarch
foreman-ovirt-1.5.0.10-1.el6sat.noarch
foreman-postgresql-1.5.0.10-1.el6sat.noarch
foreman-proxy-1.5.3-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.elb6sat.noarch
foreman-vmware-1.5.0.10-1.el6sat.noarch
katello-1.5.0-18.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.30-1.elé6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
rubyl93-rubygem-foreman-tasks-0.4.0-5.el6sat.noarch
rubyl93-rubygem-katello-1.5.0-23.el6sat.noarch
rubygem-foreman_api-0.1.11-4.el6sat.noarch
rubygem-hammer_cli_foreman-0.0.18-8.el6sat.noarch
rubygem—-hammer_cli_foreman_tasks-0.0.1-4.el6sat.noarch
rubygem—hammer_cli_katello-0.0.3-6.el6sat.noarch
rubygem-katello_api-0.0.8-2.el6sat.noarch
something-foreman-client-1.0-1.noarch
something-foreman-proxy-1.0-1.noarch

Related issues:
Is duplicate of Foreman - Bug #5443: Keep logs from cron Closed

04/25/2014

History

#1 - 03/25/2014 11:23 AM - Dominic Cleal

- Project changed from Foreman to Packaging

Log rotation would be required.

#2 - 05/15/2014 11:35 AM - Dominic Cleal
- Is duplicate of Bug #5443: Keep logs from cron added

#3 - 05/15/2014 11:36 AM - Dominic Cleal

- Status changed from New to Duplicate

Implemented in #5443, thanks.
